<?xml version="1.0" encoding="utf-8"?>
<linkbase
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
    <roleRef
      roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000"
      xlink:href="ovhcloud2023-2023-08-31.xsd#roleType_ias_1_role-320000"
      xlink:type="simple"/>
    <roleRef
      roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000"
      xlink:href="ovhcloud2023-2023-08-31.xsd#roleType_ias_1_role-210000"
      xlink:type="simple"/>
    <roleRef
      roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000"
      xlink:href="ovhcloud2023-2023-08-31.xsd#roleType_ias_7_role-520000"
      xlink:type="simple"/>
    <roleRef
      roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000"
      xlink:href="ovhcloud2023-2023-08-31.xsd#roleType_ias_1_role-610000"
      xlink:type="simple"/>
    <roleRef
      roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000"
      xlink:href="ovhcloud2023-2023-08-31.xsd#roleType_ias_1_role-420000"
      xlink:type="simple"/>
    <calculationLink
      xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000"
      xlink:type="extended">
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"
          xlink:label="ifrs-full_NoncurrentAssets"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Goodwill"
          xlink:label="ifrs-full_Goodwill"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_Goodwill"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"
          xlink:label="ifrs-full_PropertyPlantAndEquipment"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_PropertyPlantAndEquipment"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty"
          xlink:label="ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets"
          xlink:label="ifrs-full_NoncurrentDerivativeFinancialAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_NoncurrentDerivativeFinancialAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets"
          xlink:label="ifrs-full_OtherNoncurrentFinancialAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_OtherNoncurrentFinancialAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets"
          xlink:label="ifrs-full_DeferredTaxAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="ifrs-full_DeferredTaxAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets"
          xlink:label="ifrs-full_Assets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_Assets"
          xlink:to="ifrs-full_NoncurrentAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"
          xlink:label="ifrs-full_CurrentAssets"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTradeReceivables"
          xlink:label="ifrs-full_CurrentTradeReceivables"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="ifrs-full_CurrentTradeReceivables"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentAssets"
          xlink:label="ifrs-full_OtherCurrentAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="ifrs-full_OtherCurrentAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent"
          xlink:label="ifrs-full_CurrentTaxAssetsCurrent"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="ifrs-full_CurrentTaxAssetsCurrent"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialAssets"
          xlink:label="ifrs-full_CurrentDerivativeFinancialAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="ifrs-full_CurrentDerivativeFinancialAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents"
          xlink:label="ifrs-full_CashAndCashEquivalents"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="ifrs-full_CashAndCashEquivalents"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_Assets"
          xlink:to="ifrs-full_CurrentAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"
          xlink:label="ifrs-full_Equity"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital"
          xlink:label="ifrs-full_IssuedCapital"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_Equity"
          xlink:to="ifrs-full_IssuedCapital"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium"
          xlink:label="ifrs-full_SharePremium"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_Equity"
          xlink:to="ifrs-full_SharePremium"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ReservesAndRetainedEarnings"
          xlink:label="ovhgroupe_ReservesAndRetainedEarnings"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_Equity"
          xlink:to="ovhgroupe_ReservesAndRetainedEarnings"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarningsProfitLossForReportingPeriod"
          xlink:label="ifrs-full_RetainedEarningsProfitLossForReportingPeriod"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_Equity"
          xlink:to="ifrs-full_RetainedEarningsProfitLossForReportingPeriod"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities"
          xlink:label="ifrs-full_EquityAndLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_EquityAndLiabilities"
          xlink:to="ifrs-full_Equity"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"
          xlink:label="ifrs-full_NoncurrentLiabilities"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings"
          xlink:label="ifrs-full_LongtermBorrowings"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="ifrs-full_LongtermBorrowings"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"
          xlink:label="ifrs-full_NoncurrentLeaseLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="ifrs-full_NoncurrentLeaseLiabilities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities"
          xlink:label="ifrs-full_OtherNoncurrentFinancialLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="ifrs-full_OtherNoncurrentFinancialLiabilities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisions"
          xlink:label="ifrs-full_NoncurrentProvisions"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="ifrs-full_NoncurrentProvisions"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities"
          xlink:label="ifrs-full_DeferredTaxLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="ifrs-full_DeferredTaxLiabilities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentLiabilities"
          xlink:label="ifrs-full_OtherNoncurrentLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="ifrs-full_OtherNoncurrentLiabilities"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_EquityAndLiabilities"
          xlink:to="ifrs-full_NoncurrentLiabilities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"
          xlink:label="ifrs-full_CurrentLiabilities"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:label="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities"
          xlink:label="ifrs-full_CurrentLeaseLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_CurrentLeaseLiabilities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProvisions"
          xlink:label="ifrs-full_CurrentProvisions"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_CurrentProvisions"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"
          xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"
          xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities"
          xlink:label="ifrs-full_CurrentDerivativeFinancialLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_CurrentDerivativeFinancialLiabilities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentLiabilities"
          xlink:label="ifrs-full_OtherCurrentLiabilities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="ifrs-full_OtherCurrentLiabilities"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_EquityAndLiabilities"
          xlink:to="ifrs-full_CurrentLiabilities"
          xlink:type="arc"/>
    </calculationLink>
    <calculationLink
      xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000"
      xlink:type="extended">
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CurrentEbitda"
          xlink:label="ovhgroupe_CurrentEbitda"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RevenueAndOperatingIncome"
          xlink:label="ifrs-full_RevenueAndOperatingIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ovhgroupe_CurrentEbitda"
          xlink:to="ifrs-full_RevenueAndOperatingIncome"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense"
          xlink:label="ifrs-full_EmployeeBenefitsExpense"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ovhgroupe_CurrentEbitda"
          xlink:to="ifrs-full_EmployeeBenefitsExpense"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:label="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ovhgroupe_CurrentEbitda"
          xlink:to="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CurrentOperatingIncome"
          xlink:label="ovhgroupe_CurrentOperatingIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ovhgroupe_CurrentOperatingIncome"
          xlink:to="ovhgroupe_CurrentEbitda"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:label="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ovhgroupe_CurrentOperatingIncome"
          xlink:to="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"
          xlink:label="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:to="ovhgroupe_CurrentOperatingIncome"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingIncome"
          xlink:label="ifrs-full_MiscellaneousOtherOperatingIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:to="ifrs-full_MiscellaneousOtherOperatingIncome"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingExpense"
          xlink:label="ifrs-full_MiscellaneousOtherOperatingExpense"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:to="ifrs-full_MiscellaneousOtherOperatingExpense"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"
          xlink:label="ifrs-full_ProfitLossBeforeTax"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLossBeforeTax"
          xlink:to="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost"
          xlink:label="ifrs-full_FinanceIncomeCost"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestExpense"
          xlink:label="ifrs-full_InterestExpense"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_FinanceIncomeCost"
          xlink:to="ifrs-full_InterestExpense"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinanceIncome"
          xlink:label="ifrs-full_OtherFinanceIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_FinanceIncomeCost"
          xlink:to="ifrs-full_OtherFinanceIncome"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinanceCost"
          xlink:label="ifrs-full_OtherFinanceCost"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_FinanceIncomeCost"
          xlink:to="ifrs-full_OtherFinanceCost"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLossBeforeTax"
          xlink:to="ifrs-full_FinanceIncomeCost"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"
          xlink:label="ifrs-full_ProfitLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLoss"
          xlink:to="ifrs-full_ProfitLossBeforeTax"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"
          xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ProfitLoss"
          xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations"
          xlink:type="arc"/>
    </calculationLink>
    <calculationLink
      xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000"
      xlink:type="extended">
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="locator"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:label="ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"
          xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"
          xlink:label="ifrs-full_OtherComprehensiveIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncome"
          xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"
          xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_OtherComprehensiveIncome"
          xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome"
          xlink:label="ifrs-full_ComprehensiveIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ComprehensiveIncome"
          xlink:to="ifrs-full_OtherComprehensiveIncome"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"
          xlink:label="ifrs-full_ProfitLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ComprehensiveIncome"
          xlink:to="ifrs-full_ProfitLoss"
          xlink:type="arc"/>
    </calculationLink>
    <calculationLink
      xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000"
      xlink:type="extended">
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"
          xlink:label="ifrs-full_ProfitLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ifrs-full_ProfitLoss"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:label="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForProvisions"
          xlink:label="ifrs-full_AdjustmentsForProvisions"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ifrs-full_AdjustmentsForProvisions"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:label="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments"
          xlink:label="ifrs-full_AdjustmentsForSharebasedPayments"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ifrs-full_AdjustmentsForSharebasedPayments"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense"
          xlink:label="ifrs-full_AdjustmentsForIncomeTaxExpense"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ifrs-full_AdjustmentsForIncomeTaxExpense"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:label="ovh_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="ovh_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital"
          xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"
          xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital"
          xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"
          xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital"
          xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:to="ifrs-full_IncreaseDecreaseInWorkingCapital"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"
          xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:type="locator"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:label="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:to="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:label="ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:to="ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:label="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:to="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:label="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:to="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:type="locator"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CapitalIncreaseIpo"
          xlink:label="ovhgroupe_CapitalIncreaseIpo"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ovhgroupe_CapitalIncreaseIpo"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CapitalIncreaseEsp2021"
          xlink:label="ovhgroupe_CapitalIncreaseEsp2021"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ovhgroupe_CapitalIncreaseEsp2021"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"
          xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"
          xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"
          xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"
          xlink:label="ifrs-full_InterestPaidClassifiedAsFinancingActivities"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ifrs-full_InterestPaidClassifiedAsFinancingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_GuaranteeDepositsReceived"
          xlink:label="ovhgroupe_GuaranteeDepositsReceived"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="ovhgroupe_GuaranteeDepositsReceived"
          xlink:type="arc"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"
          xlink:label="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:to="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents"
          xlink:label="ifrs-full_CashAndCashEquivalents"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BalancesWithBanks"
          xlink:label="ifrs-full_BalancesWithBanks"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashAndCashEquivalents"
          xlink:to="ifrs-full_BalancesWithBanks"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:to="ifrs-full_CashAndCashEquivalents"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:label="ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="-1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:to="ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:type="arc"/>
    </calculationLink>
    <calculationLink
      xlink:role="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000"
      xlink:type="extended">
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome"
          xlink:label="ifrs-full_ComprehensiveIncome"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"
          xlink:label="ifrs-full_ProfitLoss"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ComprehensiveIncome"
          xlink:to="ifrs-full_ProfitLoss"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"
          xlink:label="ifrs-full_OtherComprehensiveIncome"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_ComprehensiveIncome"
          xlink:to="ifrs-full_OtherComprehensiveIncome"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
          xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
          xlink:type="locator"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssueOfEquity"
          xlink:label="ifrs-full_IssueOfEquity"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
          xlink:to="ifrs-full_IssueOfEquity"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions"
          xlink:label="ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
          xlink:to="ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions"
          xlink:label="ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
          xlink:to="ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions"
          xlink:type="arc"/>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity"
          xlink:label="ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity"
          xlink:type="locator"/>
        <calculationArc
          order="1"
          weight="1.0"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item"
          xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
          xlink:to="ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity"
          xlink:type="arc"/>
    </calculationLink>
</linkbase>
